------------------------------------------------------------------------
-- Licensed Materials - Property of IBM
--
-- Copyright IBM Corporation 2017. All Rights Reserved.
--
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp. 
------------------------------------------------------------------------
-- Script Name:       view_all_secure.sql
-- This script configures all users to see all operational data when 
-- WAS Security is enabled.
------------------------------------------------------------------------



---------------------------------------------------------------------
-- Resource Permissions
---------------------------------------------------------------------

-- Define the 'All Operational Data' 'View'
--
CALL UPSERT_RES_PERM (
'DATA_PARTY_ALL',
  'all-data',
  'view'
);



---------------------------------------------------------------------
-- Group/Permission relationships
---------------------------------------------------------------------

-- Map 'FTMUser' to the 'All Operational Data' 'View' defined above
--
CALL UPSERT_GRP_RES_PERM_REL (
   'FTM IP SCTInst Application',
   'FTMUser',
   'DATA_PARTY_ALL',
   'all-data',
   'view'
);


COMMIT;

